aboutsummaryrefslogtreecommitdiffstats
path: root/insidechroot.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-05 08:01:03 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-05 08:01:03 -0500
commita9c1e63e1422ae397ca3ba0c998497f1730aa808 (patch)
treed78a544073b8df9f1cc3f181ff1b77c508e6b15f /insidechroot.sh
parent6d46c8c71555ef613ebc42674e94efaabb61f655 (diff)
parente2b07c1783bed883356db92f6290aff64895fa7d (diff)
Merge branch 'chapter7'
Diffstat (limited to 'insidechroot.sh')
-rw-r--r--insidechroot.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/insidechroot.sh b/insidechroot.sh
index 494e937..a2fb9df 100644
--- a/insidechroot.sh
+++ b/insidechroot.sh
@@ -149,4 +149,19 @@ EOF
cd /sources || exit 1
+ # Chapter 7
+ printf "%b" "\n${IWHT}============ ${IGRN}Building ${IYLW}Chapter 7${IWHT} \
+============${RST}\n"
+
+ for package in libstdc++ gettext bison perl python texinfo util-linux; do
+ source packageinstall.sh 7 $package
+ retval=$?
+ if [[ "${retval}" -ne 0 ]]; then
+ exit 1
+ fi
+ done
+
+ exit 7
+else
+ printf "%b" "Do Chapter 8, 9 and 10 stuff here.\n"
fi